<div class="container mt-3">
  <div class="card">
    <div class="card-header">
      <div class="row">
        <div class="col-6">
          <label for="predmet" class="text-info">
            <b>Naziv Predmeta: </b>
          </label>
          <b>{{ispitPredmet.naziv}}</b>
        </div>
        <div class="col-6">
          <label for="datumOdrzavanja" class="text-info">
            <b>Datum Odrzavanja: </b>
          </label>
          <b>{{selectedIspit?.datumOdrzavanja | date: 'dd.MM.yyyy'}}</b>
        </div>
      </div>
    </div>
    <div class="card-body">
      <table class="table table-hover" *ngIf="prijave.length != 0; else emptyList">
        <thead class="bg-info text-light">
          <tr>
            <th>Datum prijave</th>
            <th>Broj Indeksa</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let prijava of prijave; let i = index">
              <td>{{prijava.datumPrijave | date: "dd.MM.yyyy"}}</td>
              <td>
                <button class="btn btn-link" placement="right" ngbTooltip="Pregled studenta" [routerLink]="['/studenti', prijava.student]">{{prijava.brojIndeksa}}</button>
              </td>
              <td>
                <button class="btn btn-success" *ngIf="!prijava.ocenjen" (click)="open(content); oceniModalOpened(i)">Oceni</button>
                <strong><h4 class="text-danger" *ngIf="prijava.ocenjen">Ocenjen</h4></strong>
              </td>
            
          </tr>
        </tbody>
      </table>
      <ng-template #emptyList>
        <div class="jumbotron bg-warning">
          <h2>Nema Prijava</h2>
        </div>
      </ng-template>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-11"></div>
        
        <div class="col-1">
          <button class="btn btn-info" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>


<ng-template #content let-c="close" let-d="dismiss">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Ocenjivanje</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group">
          <div class="row">
            <div class="col-6">
              <label for="predispitniBodovi"><b>Predispitni Bodovi</b></label>
              <input type="number" placeholder="Predispitni bodovi" name="predispitniBodovi" class="form-control" required [(ngModel)]="polaganjePost.predispitniBodovi">
            </div>
            <div class="col-6">
                <label for="predispitniBodovi"><b>Ispitni Bodovi</b></label>
                <input type="number" placeholder="Ispitni bodovi" name="ispitniBodovi" class="form-control" required [(ngModel)]="polaganjePost.ispitniBodovi">
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <div class="row">
        <div class="col-6">
          <button type="button" class="btn btn-success" (click)="onOceni();c()">Oceni</button>
        </div>
        <div class="col-6">
          <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
        </div>
      </div>

    </div>
</ng-template>


